Skip to content

Creative assets upload

Request

Upload creative assets to the system and create atomic creatives. This endpoint processes the uploaded files and metadata, validates them, and stores them permanently in the system. Once uploaded, the creatives can be associated with campaigns and strategies.

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodymultipart/form-datarequired
filenameArray of strings, (binary), [ 1 .. 10 ] itemsrequired

Creative asset files to upload

metadataobjectrequired

JSON string containing metadata for all files

curl -i -X POST \
  https://api.mediamath.com/api/v3.0/creative_upload \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F 'filename=["holiday_banner_728x90.jpg"]' \
  -F 'metadata={"advertiser_id":100212,"is_https":true,"submissions":[{"name":"holiday_banner_728x90.jpg","click_through_url":"https://shop.example.com/holiday-sale","landing_page":"https://shop.example.com/landing/holiday","concept_id":1001}]}'

Responses

Upload completed successfully

Bodyapplication/json
dataArray of objects
metaobject
Response
{ "data": [ { … } ], "meta": { "status": "success", "count": 1, "total_count": 1, "offset": 0, "next_page": "https://api.mediamath.com/creative_upload?page_offset=0" } }